uclibc-0.9.28

Kevin Day msu-kday at student.mcneese.edu
Wed Sep 14 17:35:00 PDT 2005


> Hi. I'm having problems with uclibc-0.9.28. I attached the patches I'm using.

> In 5.6.2-gettext I need to use CC="${target}-gcc /tools/lib/ld-uClibc.so.0" 
> or else I get "undefined reference to `__libc_stack_end'". Then with tcl I 
> need to use --disable-shared or else I get "multiple definition of 
> `fixstrtod'". Then expect says "configure: error: Expect can't be cross 
> compiled". If I skip tcl and expect and dejagnu, then everything else seems 
> to be okay.
> 

it may be the arc4random patch itself.

I had successful (yet dangerously) applied a cvs version of the patch to get
uclibc-0.9.28 to work that and only resulted in strange problems as well. 
(segfaults in many common programs like sed!).

Removing the arc4random patch, resolved my problems.  I am not sure if this is
going to help you as other people seem to be using arc4random quite fine.

I also had some segfaults in 0.97, but these were fewer and once again removing
arc4random resolved the problem. (fewer programs had compile time errors as
well)

Give it a try without arc4random.  if it doesn't fix the problem, you can also
go back to using it.



More information about the hlfs-dev mailing list